Edit screen autoscrolling
Closed, ResolvedPublic

Description

As I begin to edit a page, the first letter I type scrolls the edit screen down a few lines. The second letter I type in scrolls the edit screen down some more. By the third or fourth letter, the screen has autoscrolled my edit line down to the bottom of the edit screen. It's difficult to edit with the screen jumping around like that. Then, when I click Preview, the part of the page I was editing scrolls right off the screen, so when I come back down to the edit screen, I have to "hunt" for the paragraph I was editing. All very frustrating!


Version: unspecified
Severity: major
OS: Windows XP
Platform: PC

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 11:24 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz27496.
Paine_Ellsworth created this task.Via LegacyFeb 17 2011, 3:21 PM
MarkAHershberger added a comment.Via ConduitFeb 17 2011, 8:18 PM

I don't think we've seen this in our testing. Could you let us know what browser and OS you are using?

Paine_Ellsworth added a comment.Via ConduitFeb 18 2011, 2:15 AM

(In reply to comment #1)

I don't think we've seen this in our testing. Could you let us know what
browser and OS you are using?

You have to be editing far enough down from the top of a page or section, so that there is room enough to scroll. I use IE8 on WinXP Prof.

Paine_Ellsworth added a comment.Via ConduitFeb 18 2011, 5:16 AM

I just checked this issue with a FireFox browser, and there is no issue. There is an issue only with IE8.

Paine_Ellsworth added a comment.Via ConduitFeb 19 2011, 6:22 PM

I found that it has something to do with IE8's "Compatibility View". When I add Wikipedia.org to the list, then part of the problem stops. There is no more jumping down to the bottom of the edit screen. However, even with the Compatibility View on, if you click on Preview, the next time you come back to the edit screen it has autoscrolled to the top of the section/page, and you have to scroll back down to the line you were editing.

Catrope added a comment.Via ConduitFeb 19 2011, 6:34 PM

This is not a JavaScript issue: disabling JS doesn't help. It's also something that we've fixed before, trying to dig up how.

Paine_Ellsworth added a comment.Via ConduitFeb 19 2011, 6:42 PM

In addition, I use the "Simple" skin to edit, so I just checked it in the
"Vector" skin, and it makes no diff. The issue is still there. And
Compatibility View still helps, yet the screen still autoscrolls to the top of
the section/page when "Preview" is clicked.

Paine_Ellsworth added a comment.Via ConduitFeb 19 2011, 7:27 PM

Here is another clue?/fly-in-the-ointment?/wrinkle for you overworked devs: When I open the Edit screen, part of the very last line of the section/page is visible, in code form, OUTSIDE, and BELOW the edit screen, and extends to the left margin of the page. However, as I said, I edit in the Simple skin, so I checked this in Vector, and it does NOT happen in the Vector skin, but it does happen in the Simple skin. My gosh, good luck with all this!

Paine_Ellsworth added a comment.Via ConduitFeb 20 2011, 5:19 PM

And now a brand new wrinkle! On SOME pages, not all, when I go to the edit page, instead of a fully functional edit screen, there is a non-functional edit screen. And get this... I found that the short coded text that I told you about above, the text that is outside and below the edit screen, COULD BE EDITED on that screen. Of course, on other pages where the edit screen is functional, the outside text is there but the cursor is in the edit screen. On the pages where the edit screen is non-functional, then the cursor is down below, ready to edit the outside text. If I could get a penny for each unit of weird, I would be a millionaire on this one!

Catrope added a comment.Via ConduitFeb 20 2011, 8:30 PM

Fixed in r82474, deployed just now. I can't reproduce this on enwiki any more.

Paine_Ellsworth added a comment.Via ConduitFeb 21 2011, 6:34 AM

Yes, cursory tests have shown this to have done the trick. May we leave this open a little longer? I'd like to run a few more tests. I found a little while ago that unchecking the box at My preferences > Editing > Beta features > Enable enhanced editing toolbar, seemed to help. But that may have been about the time you deployed. Also, I went off Compatibility view, and so far, everything works. I'll be done testing in a few. Thank you, Mr. Kattouw!

Paine_Ellsworth added a comment.Via ConduitFeb 21 2011, 7:39 AM

Okay, Roan Kattouw! Looks like your deployment of r82474 passes muster! I can't thank you enough, man! Editing is back to normal!

Add Comment